# Pull Request

## Description
<!-- Provide a clear and concise description of the changes -->

## Related Issue
<!-- Link to the issue this PR addresses -->
Closes #

## Type of Change
<!-- Mark the appropriate option with an x -->
- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] Documentation update
- [ ] Performance improvement
- [ ] Security improvement
- [ ] Refactoring (no functional changes)
- [ ] Test improvement

## Changes Made
<!-- List the specific changes made in this PR -->
- 
- 
- 

## Testing
<!-- Describe the testing performed -->
- [ ] All existing tests pass
- [ ] New tests added for new functionality
- [ ] Manual testing performed
- [ ] Security testing performed (if applicable)
- [ ] Performance testing performed (if applicable)

### Test Commands Run
```bash
# List the test commands you ran
make test
make lint
make security
```

## Security Considerations
<!-- If this change has security implications, describe them -->
- [ ] No security implications
- [ ] Security review required
- [ ] Affects secret handling
- [ ] Affects sanitization logic
- [ ] Affects resolution logic
- [ ] Affects validation logic

## Performance Impact
<!-- Describe any performance implications -->
- [ ] No performance impact
- [ ] Performance improvement
- [ ] Performance regression (explain below)
- [ ] Performance testing needed

## Breaking Changes
<!-- If this is a breaking change, describe the impact -->
- [ ] No breaking changes
- [ ] Breaking changes (describe below)

### Migration Guide
<!-- If breaking changes, provide migration steps -->

## Documentation
<!-- Mark all that apply -->
- [ ] Code is self-documenting
- [ ] Docstrings updated
- [ ] README updated
- [ ] API documentation updated
- [ ] Examples updated
- [ ] Migration guide created (if breaking changes)

## Checklist
<!-- Ensure all items are completed -->
- [ ] Code follows project style guidelines
- [ ] Self-review completed
- [ ] Comments added for complex logic
- [ ] Tests added/updated
- [ ] Documentation updated
- [ ] No console warnings/errors
- [ ] Security implications considered
- [ ] Performance implications considered

## Additional Notes
<!-- Any additional information for reviewers -->

## Screenshots/Examples
<!-- If applicable, add screenshots or code examples -->

```python
# Example of new functionality
import codename

# Your example here
```

## Reviewer Guidelines
<!-- For reviewers -->
- [ ] Code review completed
- [ ] Testing verified
- [ ] Documentation reviewed
- [ ] Security review completed (if applicable)
- [ ] Performance review completed (if applicable)